package _01_while和do_while区别;

public class Test {
    public static void main(String[] args) {
        /**
         * while 循环
         */
        boolean flag = 1==2;
        // while 只有条件表达式成立了才会执行语句体的内容
//        while (flag){
//            System.out.println("你好啊");
//        }
        // do_while : 不论条件表达式是否成立都会先执行一次语句体
        do{
            System.out.println("你好啊");
        }while (flag);

    }
}
